Subject: Re: bug#19504: 11.88; [siunitx] unit appears without backslash

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Mar 2015 13:56:22 -0400

> returning also empty strings.  This change is not even mentioned in
> the Incompatible Lisp Changes section of the NEWS file.

Lots of changes aren't mentioned.  Only the ones that we expect to be
noticed are mentioned.

> For the time being I don't have a solution, apart from defining
> `TeX-completing-read-multiple' as the old version of
> `completing-read-multiple', or someone fixing
> `completing-read-multiple' upstream, at least making
> trimming optional.

IIUC you always need a leading \, so you could simply always add
a leading backslash if one is missing.
Of course, I'm not sure that IUC.

> Would it be possible to make trimming optional (off by default), using
> an optional argument?

I'd rather we don't go down that path.

> In AUCTeX we support all Emacs versions starting from 21, so a new
> mandatory argument wouldn't be a good idea for us.

FWIW, this code only works as intended in Emacs>=22 (since crm-separator
didn't exist in Emacs-21).

        Stefan